### Method

# Meta Window client_rect_to_frame_rect

#### Declaration [src]

    void
    meta_window_client_rect_to_frame_rect (
      MetaWindow* window,
      MtkRectangle* client_rect,
      MtkRectangle* frame_rect
    )

#### Description [src]

Converts a desired bounds of the client window into the corresponding bounds of the window frame (excluding invisible borders and client side shadows.).

#### Parameters

`client_rect`

  Type: `MtkRectangle`

  Client rectangle in root coordinates.

  The data is owned by the caller of the method.

`frame_rect`

  Type: `MtkRectangle`

  Location to store the computed corresponding frame bounds.

  The argument will be set by the function.
  The returned data is owned by the instance.